cls
@echo off
echo    **********************************************************************
echo    *                                                                    *
echo    *            F.A.T. (Formatted ASCII Text) - HTML converter          *
echo    *                                                                    *
echo    *                           v1.0 freeware                            *
echo    *                                                                    *
echo    *                (See README.DOC for further info)                   *
echo    *                                                                    *
echo    **********************************************************************
pause
cls
@echo off
echo    **********************************************************************
echo    *                                                                    *
echo    *                     *.FAT file Revise Utility V1.0                 *
echo    *                                                                    *
echo    *   Repair functions:                                                *
echo    *   - empty rows before titles                                       *
echo    *   - empty rows after titles and pictures                           *
echo    *   - empty rows between dialogues                                   *
echo    *   - allow max. 2 empty rows anywhere in FAT documents              *
echo    *                                                                    *
echo    *   THIS UTILITY WILL MODIFY YOUR FAT FILES!                         *
echo    *                                                                    *
echo    **********************************************************************
@echo off
pause
rem running revision
CHANGE *.FAT /CREVISE1.INI
cls
HTMTOOL *.FAT REVISE2.PAR
del *.~HT
CHANGE *.FAT /CREVISE2.INI
cls
@echo off
echo    **********************************************************************
echo    *                                                                    *
echo    *                                                                    *
echo    *            End of the revision: *.FAT files are modified.          *
echo    *                      Press a key to continue!                      *
echo    *                                                                    *
echo    *                                                                    *
echo    **********************************************************************
pause

cls
@echo off
rem backup copy
copy *.FAT *.HTM
rem inserting HTML commands
CHANGE *.HTM /CFAT_CONV.INI

rem selecting the method of title naming
cls
choice /c:YN Title include the name (eg. 1.1)
if errorlevel 2 goto nem

rem formatting the titles
HTMTOOL *.HTM P1.PAR
del *.~HT
goto final

:nem
rem formatting the titles
HTMTOOL *.HTM P2.PAR
del *.~HT
goto final


:final
rem insert HTML header and footer (FEJ.SET / LAB.SET)
set FEJ=FEJ.SET
set LAB=LAB.SET
mkdir PROBA
for %%B in (*.HTM) do copy %FEJ%+%%B+%LAB% .\PROBA\%%B
rem deleting temporary files
del *.HTM
cls
echo off
echo    **********************************************************************
echo    *                                                                    *
echo    *   "Afterconversion"                                                *
echo    *                                                                    *
echo    *   This session is for add to every paragraph begin two leading     *
echo    *   spaces but You must some handwork after this                     *
echo    *                                                                    *
echo    **********************************************************************

choice /c:IN Are You Sure
if errorlevel 2 goto nopro
rem "afterconversion"
CHANGE PROBA/*.HTM /Cproconv.ini

:nopro
rem removing EOF
CHANGE PROBA/*.HTM /from "\026" /to null

cls
@echo off
echo    **********************************************************************
echo    *                                                                    *
echo    *                                                                    *
echo    *                          Conversion is OK!                         *
echo    *                The result is in the /PROBA directory!              *
echo    *                                                                    *
echo    *                                                                    *
echo    **********************************************************************
